#
# spec file for package elemental-post-build-extract-iso
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           elemental-post-build-extract-iso
VCS: https://src.suse.de/SLFO-pool/elemental-post-build-extract-iso#2dc7d06b9c747d9db5e605b4a6b7c6707abfd26f46a31ccd31aca2ba7733c5f0
Summary:        Post build script to extract Elemental ISO from a container
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
Version:        0.4
Release:        slfo.1.2.1
Requires:       buildah

%define post_build_dir /usr/lib/build/post_build.d

Source0:        extract-iso.sh
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Am OBS post build hook that extracts the Elemental ISO from a container. The
ISO is exected to be found at "/iso/*.iso".

%prep
cp %{S:0} .

%build

%install
install -D -m 755 extract-iso.sh $RPM_BUILD_ROOT%{post_build_dir}/50-elemental-extract-iso

%files
%defattr(-, root, root)
%dir /usr/lib/build
%dir %{post_build_dir}
%{post_build_dir}/50-elemental-extract-iso

%changelog
* Wed Sep 18 2024 dcassany@suse.com
- Extend the extraction script to also support disk images
* Tue Apr  2 2024 kkaempf@suse.com
- install to /usr/lib/build/post_build.d
* Tue Apr  2 2024 kkaempf@suse.com
- install to /usr/lib/build/post_build.d
* Fri May 26 2023 dcassany@suse.com
- Update ISO path to current containerized ISOs
* Mon Apr 24 2023 dcassany@suse.com
- Do not exit 1 if docker images are not found, just exit 0
* Fri Apr 21 2023 dcassany@suse.com
- Version 0.0.2:
  * Only extract containers including "iso" in its name
